Subject: bug#40549: closed (Re: bug#40549: [usability] revert last generation)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 08 Sep 2021 12:50:02 +0000

Your bug report

#40549: [usability] revert last generation

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40549: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40549
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40549: [usability] revert last generation
From: zimoun <[email-masked]>
To: Tom Zander <[email-masked]>
Cc: [email-masked]
Date: Wed, 08 Sep 2021 14:49:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Thanks for the report.  Because you reported 2 issues:

  a) one about the order of ’%actions’ processing
  b) one about short-name with optional argument

I prefer to close this bug and track the issues into 2 separated
numbers, i.e.,

  a) see #50472 <http://issues.guix.gnu.org/issue/50472>
  b) see #50473 <http://issues.guix.gnu.org/issue/50473>

because it eases the actionable steps to fix them.

All the best,
simon

Subject: [usability] revert last generation
From: Tom Zander <[email-masked]>
To: [email-masked]
Date: Sat, 11 Apr 2020 11:23:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This could be nicer:

I just installed something and want to revert this last generation, as seen in 
`guix package -l`.

Doing a single call like `guix package -S 17 -d 18`   does not work, and I'd 
like it to work.

What it does is that it notices I'm currently on generation 18 and thus it 
can't delete that one. As such it just errors out and returns.

What I expect to happen (regardless of order of arguments) is that it switches 
to the 17th generation and then deletes generation 18.

-- 
Tom Zander